#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
bias=$4 # 0,1,0 1,1,0

HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/${day}/* | /root/sunmingze/alphaFM/bin/fm_train -m model/${model_name}_${day}.txt -dim ${bias} -core 8
# -v_l1 ${v_l1} -v_l2 ${v_l2}

# nohup sh 01_train.sh 20240606 /dw/recommend/model/16_train_data/ model_aka8 1,1,8 >p1_model_aka8.log 2>&1 &
# nohup sh 01_train.sh 20240606 /dw/recommend/model/16_train_data/ model_aka0 1,1,0 >p1_model_aka0.log 2>&1 &
# nohup sh 01_train.sh 20240606 /dw/recommend/model/16_train_data/ model_aka4 1,1,4 >p1_model_aka4.log 2>&1 &


# nohup sh 01_train.sh 20240623 /dw/recommend/model/33_ad_train_data_v3/ model_bkb0_v3_23 1,1,0 >p1_model_bkb0_v3_23.log 2>&1 &
# nohup sh 01_train.sh 20240623 /dw/recommend/model/33_ad_train_data_v3/ model_bkb8_v3_23 1,1,8 >p1_model_bkb8_v3_23.log 2>&1 &
# nohup sh 01_train.sh 20240620 /dw/recommend/model/33_ad_train_data/ model_bkb4 1,1,4 >p1_model_bkb4.log 2>&1 &
# nohup sh 01_train.sh 20240620 /dw/recommend/model/33_ad_train_data/ model_bkb12 1,1,12 >p1_model_bkb12.log 2>&1 &
# nohup sh 01_train.sh 20240620 /dw/recommend/model/33_ad_train_data/ model_bkb16 1,1,16 >p1_model_bkb16.log 2>&1 &


# nohup sh 01_train.sh 20240705 /dw/recommend/model/43_recsys_train_data/ model_nba8 1,1,8 >p1_model_nba8.log 2>&1 &
# nohup sh 01_train.sh 20240705 /dw/recommend/model/43_recsys_train_data/ model_nba12 1,1,12 >p1_model_nba12.log 2>&1 &
